Package be.cin.nip.async.generic

# Class Confirm

java.lang.Object
be.cin.nip.async.generic.Confirm

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class Confirm extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Origin" type="{urn:be:cin:mycarenet:esb:common:v2}OrigineType"/>
             <element name="MsgHashValues" type="{urn:be:cin:types:v1}Base64BinaryList" minOccurs="0"/>
             <element name="MsgRefValues" type="{urn:be:cin:types:v1}StringList" minOccurs="0"/>
             <element name="TAckContents" type="{urn:be:cin:types:v1}Base64BinaryList" minOccurs="0"/>
             <element name="TAckReferences" type="{urn:be:cin:types:v1}StringList" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Confirm()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<byte[]>`
  `getMsgHashValues()`
  Gets the value of the msgHashValues property.
  `List<String>`
  `getMsgRefValues()`
  Gets the value of the msgRefValues property.
  `OrigineType`
  `getOrigin()`
  Gets the value of the origin property.
  `List<byte[]>`
  `getTAckContents()`
  Gets the value of the tAckContents property.
  `List<String>`
  `getTAckReferences()`
  Gets the value of the tAckReferences property.
  `void`
  `setOrigin(OrigineType value)`
  Sets the value of the origin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Confirm

    public Confirm()

- ## Method Details

  - ### getOrigin

    public OrigineType getOrigin()
    Gets the value of the origin property.
    Returns:
      possible object is `OrigineType`

  - ### setOrigin

    public void setOrigin(OrigineType value)
    Sets the value of the origin property.
    Parameters:
      `value` - allowed object is `OrigineType`

  - ### getMsgHashValues

    public List<byte[]> getMsgHashValues()
    Gets the value of the msgHashValues property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the msgHashValues property.

    For example, to add a new item, do as follows:

         getMsgHashValues().add(newItem);

    Objects of the following type(s) are allowed in the list byte[]

    Returns:
      The value of the msgHashValues property.

  - ### getMsgRefValues

    public List<String> getMsgRefValues()
    Gets the value of the msgRefValues property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the msgRefValues property.

    For example, to add a new item, do as follows:

         getMsgRefValues().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the msgRefValues property.

  - ### getTAckContents

    public List<byte[]> getTAckContents()
    Gets the value of the tAckContents property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tAckContents property.

    For example, to add a new item, do as follows:

         getTAckContents().add(newItem);

    Objects of the following type(s) are allowed in the list byte[]

    Returns:
      The value of the tAckContents property.

  - ### getTAckReferences

    public List<String> getTAckReferences()
    Gets the value of the tAckReferences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tAckReferences property.

    For example, to add a new item, do as follows:

         getTAckReferences().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the tAckReferences property.